/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2019 MediaTek Inc.
 */
#ifndef __MDLA_MEM_INTF_H__
#define __MDLA_MEM_INTF_H__

#include <linux/types.h>
#include <linux/list.h>

#include <utilities/mdla_util.h>

int check_cmdbuf(struct command_entry *ce);
void *mdla_buf_get(void *cmd_info, u64 iova, u32 size);
void mdla_buf_put(void *cmd_info, u64 iova, u32 size);
void *mdla_buf_map(void *cmd_info, u64 iova, u32 size);

#endif

